#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f3)
#-----------------------------------------------------------------------------
Name		:	xorg-x11-xinit
Version		:	1.4.2
Release		:	17.2.0.rel%{?dist}
Summary		:	X.Org X11 X Window System xinit startup scripts
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xorg/app/xinit/

Source0		:	%{sname}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	xorg-libX11
BuildRequires	:	xorg-util-macros
BuildRequires	:	xorgproto

Requires	:	twm
Requires	:	xclock
Requires	:	man-db
Requires	:	xorg-server
Requires	:	xrdb
#-----------------------------------------------------------------------------
%description
The xinit program is used to start the X Window System server and a first
client program on systems that are not using a display manager such as xdm.

The xinit is not intended for naive users.  Instead, site administrators should
design user-friendly scripts that present the desired interface when starting
up X.  The startx script is one such example.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc COPYING README.md
%{_sysconfdir}/X11/xinit/xinitrc
%dir %{_sysconfdir}/X11/xinit/.Xresources.d
%{_sysconfdir}/X11/xinit/.Xresources
%{_bindir}/startx
%{_bindir}/xinit
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-suid-wrapper 				\
	--enable-glamor					\
	--enable-config-udev				\
	--disable-systemd-logind			\
	--with-xkb-output=/var/lib/xkb			\
	--with-log-dir=/var/log				\
	--with-xinitdir=%{_sysconfdir}/X11/xinit	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/X11/xorg.conf.d
%{__mkdir_p} %{buildroot}%{_sysconfdir}/X11/xinit/.Xresources.d

cat > %{buildroot}%{_sysconfdir}/X11/xinit/.Xresources  << EOT
!-----------------------------------------------------------
! to be used by xrdb to set system RESOURCE_MANAGER property
! Example about xscreensaver
! #include ".Xresources.d/xscreensaver"
!-----------------------------------------------------------
EOT

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%changelog
